Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.types
Class FeatureSelector

    java.lang.Object
      cc.mallet.types.FeatureSelector

    public class FeatureSelector

extends java.lang.Object

Constructor Summary
`FeatureSelector(RankedFeatureVector.Factory ranker, double minThreshold)`
`FeatureSelector(RankedFeatureVector.Factory ranker, int numFeatures)`
`FeatureSelector(RankedFeatureVector.PerLabelFactory perLabelRanker, double minThreshold)`
`FeatureSelector(RankedFeatureVector.PerLabelFactory perLabelRanker, int numFeatures)`

Method Summary
`void` | `selectFeaturesFor(InstanceList ilist)`
`void` | `selectFeaturesForAllLabels(InstanceList ilist)`
`void` | `selectFeaturesForPerLabel(InstanceList ilist)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FeatureSelector

    public FeatureSelector(RankedFeatureVector.Factory ranker,
                           int numFeatures)

### FeatureSelector

    public FeatureSelector(RankedFeatureVector.Factory ranker,
                           double minThreshold)

### FeatureSelector

    public FeatureSelector(RankedFeatureVector.PerLabelFactory perLabelRanker,
                           int numFeatures)

### FeatureSelector

    public FeatureSelector(RankedFeatureVector.PerLabelFactory perLabelRanker,
                           double minThreshold)

Method Detail

### selectFeaturesFor

    public void selectFeaturesFor(InstanceList ilist)

### selectFeaturesForAllLabels

    public void selectFeaturesForAllLabels(InstanceList ilist)

### selectFeaturesForPerLabel

    public void selectFeaturesForPerLabel(InstanceList ilist)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD